﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace XamDataChart_AxisExtent
{
    /// <summary>
    /// MainWindow.xaml の相互作用ロジック
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();

            this.DataContext = new MainModel();
        }
    }

    public class MainModel : INotifyPropertyChanged
    {
        public MainModel()
        {
            m_data1 = new List<EnergyProduction>();

            m_data1.Add(new EnergyProduction { Country = "CAN", Coal = 400000 });
            m_data1.Add(new EnergyProduction { Country = "CHN", Coal = 925000 });
            m_data1.Add(new EnergyProduction { Country = "RUS", Coal = 550000});
            m_data1.Add(new EnergyProduction { Country = "AUS", Coal = 450000 });
            m_data1.Add(new EnergyProduction { Country = "USA", Coal = 800000 });
            m_data1.Add(new EnergyProduction { Country = "FRA", Coal = 375000 });
        }


        private List<EnergyProduction> m_data1;
        public List<EnergyProduction> Data1
        {
            get { return m_data1; }
            set
            {
                m_data1 = value;
                NotifyPropertyChanged("Data1");
            }
        }

        public event PropertyChangedEventHandler PropertyChanged;

        private void NotifyPropertyChanged(String info)
        {
            if (PropertyChanged != null)
            {
                PropertyChanged(this, new PropertyChangedEventArgs(info));
            }
        }
    }

    public class EnergyProduction
    {
        public string Country { get; set; }
        public string Region { get; set; }
        public string Year { get; set; }
        public double Nuclear { get; set; }
        public double Coal { get; set; }
        public double Oil { get; set; }
        public double Gas { get; set; }
    }
}
